import { S3Client } from '@aws-sdk/client-s3';
import { GenericFile, SolAmount, UploaderInterface } from '@metaplex-foundation/umi-core';
export declare class AwsUploader implements UploaderInterface {
    protected client: S3Client;
    protected bucketName: string;
    constructor(client: S3Client, bucketName: string);
    uploadOne(file: GenericFile): Promise<string>;
    upload(files: GenericFile[]): Promise<string[]>;
    uploadJson<T>(json: T): Promise<string>;
    getUploadPrice(): Promise<SolAmount>;
    getUrl(key: string): Promise<string>;
}
